declare namespace _default {
    export namespace link {
        let href: string;
    }
    export namespace buttons {
        namespace buttonWithProps {
            let href_1: string;
            export { href_1 as href };
            export namespace props {
                let variant: string;
            }
        }
        namespace buttonWithoutProps {
            let href_2: string;
            export { href_2 as href };
        }
    }
    export namespace doTrack {
        let href_3: string;
        export { href_3 as href };
        let doTrack_1: boolean;
        export { doTrack_1 as doTrack };
    }
    export namespace doTrackWithGTMType {
        let href_4: string;
        export { href_4 as href };
        let doTrack_2: boolean;
        export { doTrack_2 as doTrack };
        export let gtmType: string;
    }
    export namespace dontTrack {
        let href_5: string;
        export { href_5 as href };
        let doTrack_3: boolean;
        export { doTrack_3 as doTrack };
    }
    export namespace defaultTrack {
        let href_6: string;
        export { href_6 as href };
    }
    export namespace parent {
        let order: string[];
        namespace child {
            let order_1: string[];
            export { order_1 as order };
            export namespace grandchild {
                let href_7: string;
                export { href_7 as href };
            }
        }
    }
    export namespace badParent {
        let order_2: string[];
        export { order_2 as order };
    }
    export namespace submenu {
        let order_3: string[];
        export { order_3 as order };
        export namespace child_1 {
            let href_8: string;
            export { href_8 as href };
        }
        export { child_1 as child };
    }
    export namespace variant_1 {
        let href_9: string;
        export { href_9 as href };
        export let hasVariantText: boolean;
    }
    export { variant_1 as variant };
    export namespace onlyShowLoggedIn {
        let href_10: string;
        export { href_10 as href };
        export let onlyShow: string;
    }
    export namespace onlyShowLoggedOut {
        let href_11: string;
        export { href_11 as href };
        let onlyShow_1: string;
        export { onlyShow_1 as onlyShow };
    }
}
export default _default;
